/*

The Life of a Geek
Copyright (C) 2003 Daniel Quintiliani

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

You can e-mail Daniel Quintiliani at coredump@coredumpcentral.org

comp.cc: Class implementation for Computer

4/7/03: Daniel Quintiliani <coredump@coredumpcentral.org>: To be more
considerate, replaced all bools with ints.

*/

#include "comp.h"

using namespace std;

Computer::Computer()
{
	Infected = 1;
	Health = 12;
	MaxHealth = 12;
	Security = 1;
}

Computer::Computer(Computer& c)
{
	Infected = c.GetInfected();
	Health = c.GetHealth();
	MaxHealth = c.GetMaxHealth();
	Security = c.GetSecurity();
}

Computer::~Computer()
{
}

void Computer::SetInfected(int n)
{
	Infected = n;
}

int Computer::GetInfected()
{
	return Infected;
}

void Computer::SetHealth(int n)
{
	Health = n;
}

int Computer::GetHealth()
{
	return Health;
}

void Computer::SetMaxHealth(int n)
{
	MaxHealth = n;
}

int Computer::GetMaxHealth()
{
	return MaxHealth;
}

void Computer::SetSecurity(int n)
{
	Security = n;
}

int Computer::GetSecurity()
{
	return Security;
}

void Computer::LevelUp(int n)
{
	Health = (Health + 10) * n;
	MaxHealth = (MaxHealth + 10) * n;
	Security = (Security + 1) * n;
}
