/*

The Life of a Geek
Copyright (C) 2003 Daniel Quintiliani

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

You can e-mail Daniel Quintiliani at coredump@coredumpcentral.org

display.cc - Handles the menus and display.

4/7/03: Daniel Quintiliani <coredump@coredumpcentral.org>: To be more
considerate replaced all bools with ints, gpl_check() and
gpl_check_and_strlwr() put in, fixed a bug where a class would be taken 
anyway even if you told it not to.

*/

#include <iostream>
#include <string>
#include "func.h"
#include "display.h"
#include "gpl.h"

using namespace std;

void ShowMenu()
{
	cout << endl;
	cout << "     _THE LIFE OF A GEEK_" << endl;
	cout << "     ______Main Menu_____" << endl;
	cout << endl;
	cout << "  A) Waste Time Viewing Statistics" << endl;
	cout << "  B) Take a Speed Class" << endl;
	cout << "  C) Work for a Month" << endl;
	cout << "  D) Caffeine Management" << endl;
	cout << "  E) Hack Another Geek" << endl;
	cout << "  F) Anti-Virus" << endl;
	cout << "  G) Waste Time for a While" << endl;
	cout << "  H) Sleep" << endl;
	cout << "  I) Save and Quit" << endl;
	cout << endl;
}

void ShowStats(Geek &geek, Computer comp)
{
	if( geek.GetEnergy() < 10 )
	{
		cout << "Not enough energy! (You need 10.)" << endl;
		return;
	}
	else
	{ 
		geek.SetEnergy(geek.GetEnergy() - 10);
		cout << "GEEK STATISTICS FOR " << geek.GetName() << endl;
		cout << "Money: " << geek.GetMoney() << endl;
		cout << "Energy Rating: " << geek.GetEnergy();
		cout <<  "     Energy Drinks Available: " << geek.GetEnergyDrinks() << endl;
		cout << "Education (courses out of 40): " << geek.GetEducation();
		cout << endl;
		cout << "COMPUTER STATISTICS" << endl;
		if( comp.GetInfected() == 0 )
			cout << "INFECTED WITH A VIRUS! Please repair soon." << endl;
		else
			cout << "No infection found." << endl;
		cout << "Health: " << comp.GetHealth() << "     Max Health: ";
		cout << comp.GetMaxHealth() << "     Security Level: ";
		cout << comp.GetSecurity() << endl;
	}
}

void SpeedClass(Geek &geek, Computer &comp)
{
	string s = "show w";

	cout << endl;
		
	while(s == "show w" || s == "show c" )
	{
		cout << "SPEED CLASS\n" << endl;
		cout << "Geek University offers month-long accelerated courses." << endl;
		cout << "This will increase your education, however, you will risk" << endl;
		cout << "an attack on your computer. A course costs $1500.\n" << endl;
		cout << "Energy Cost: 0, since you are allowed to sleep." << endl;
		cout << "Do it? (Y/N) ->";
		getline(cin, s);
		gpl_check_and_strlwr(s);
		cout << endl;
	}

	if(s[0] == 'y' && geek.GetMoney() < 1500)
	{
		cout << "You don't have enough money!" << endl;
		return;
	}
	else if(s[0] == 'y')
		CmdSpeedClass(geek, comp);
}

void Work(Geek &geek, Computer &comp)
{
	string s = "show w";

	cout << endl;
	
	while(s == "show w" || s == "show c" )
	{
		cout << "JOB\n" << endl;
		cout << "Geek Job Finder Service will randomly select a job" << endl;
		cout << "for you. You can work at this job for a month and" << endl;
		cout << "make money, however, you will risk an attack on your" << endl;
		cout << "computer.\n" << endl;
		cout << "Energy Cost: 0, since you are allowed to sleep." << endl;
		cout << "Do it? (Y/N) ->";
		getline(cin, s);
		gpl_check_and_strlwr(s);
		cout << endl;
	}
	
	if(s[0] == 'y')
		CmdWork(geek, comp);
}

void Caff(Geek &geek)
{
	string choice = "show w";

	while(choice[0] != 'd')
	{
		cout << endl;
		while(choice == "show w" || choice == "show c" )
		{
			cout << "CAFFEINE MANAGEMENT\n" << endl;
			cout << "A. Buy Energy Drink" << endl;
			cout << "B. Drink Energy Drink" << endl;
			cout << "C. Energy Statistics" << endl;
			cout << "D. Go Back\n" << endl;
	
			cout << "Enter command ->";
			getline(cin, choice);
			gpl_check_and_strlwr(choice);
			cout << endl;
		}
		
		if(choice[0] == 'a')
		{
			string buychoice = "show w";
			
			cout << endl;
			
			while(buychoice == "show w" || buychoice == "show c" )
			{
				cout << "Each energy drink gives 25 energy and costs $10." << endl;
				cout << "Buy how many? (0 to cancel) ->";
				getline(cin, buychoice);
				gpl_check(buychoice);
				cout << endl;
			}
			
			int n2 = atoi(buychoice.c_str());
			
			if( geek.GetMoney() < 10 )
				cout << "You don't have enough money!" << endl;
			else if( n2 > 0 )
				CmdBuyEnergyDrink(geek, n2);
		}
		else if(choice[0] == 'b')
		{
			string s = "show w";
			
			cout << endl;
			while(s == "show w" || s == "show c" )
			{
				cout << "An energy drink gives 25 energy." << endl;
				cout << "Drink one? (Y/N) ->";
				getline(cin, s);
				gpl_check_and_strlwr(s);
				cout << endl;
			}
			
			if(s[0] == 'y')
				CmdDrinkEnergyDrink(geek);
		}
		else if(choice[0] == 'c')
		{
			cout << "ENERGY STATISTICS" << endl;
			cout << "Energy Rating: " << geek.GetEnergy() << endl;
			cout << "Energy Drinks Available: " << geek.GetEnergyDrinks() << endl;
		}
		else if(choice[0] == 'd')
		{
			if( geek.GetEnergy() < 10 )
			{
				cout << "You don't have enough energy! (You need 10.)" << endl;
				choice = "show w";
			}
			else
				return;
		}
	}
}

void Hack(Geek &geek, Computer &comp)
{
	string s = "show w";

	cout << endl;
	while(s == "show w" || s == "show c" )
	{
		cout << "HACK ANOTHER GEEK\n" << endl;
		cout << "Here you can hack another geek's computer." << endl;
		cout << "You will have to fight their computer's security" << endl;
		cout << "and risk going to jail for a few months, however," << endl;
		cout << "you can steal credit cards or software to sell. You may" << endl;
		cout << "also find new security software to improve your" << endl;
		cout << "computer's max health or security level." << endl;
		cout << "Energy Cost: 50" << endl;
		cout << "Do it? (Y/N) ->";
		getline(cin, s);
		gpl_check_and_strlwr(s);
		cout << endl;
	}
	
	if( geek.GetEnergy() < 50 )
		cout << "You don't have enough energy! (You need 50.)" << endl;
	else if(s[0]=='y')
		CmdHack(geek, comp);
}

void AntiVirus(Geek &geek, Computer &comp)
{
	cout << "ANTI-VIRUS\n" << endl;
	cout << "Geek Anti-Virus Company will repair an infected" << endl;
	cout << "computer for $15. We will also bring your computer" << endl;
	cout << "to max health without you having to wait for it to heal." << endl;
	cout << "Energy cost: 0, since you don't do anything." << endl;
	cout << "We'll scan it first for free.\n" << endl;

	cout << "Scanning... ";

	if(comp.GetInfected() == 0)
	{
		string s = "show w";
		
		while(s == "show w" || s == "show c" )
		{
			cout << "Infection found. Remove it? (Y/N) ->";
			getline(cin, s);
			gpl_check_and_strlwr(s);
			cout << endl;
		}
		
		if(s[0] == 'y')
		{
			if(geek.GetMoney() < 15)
				cout << "You don't have enough money!" << endl;
			else
				CmdAntiVirus(geek, comp);
		}
	}
	else
		cout << "\nNo infection found.\n" << endl;

}

void WasteTime(Geek &geek)
{
	if( geek.GetEnergy() < 10 )
	{
		cout << "Not enough energy points! (You need 10.)" << endl;
		return;
	}

	CmdWasteTime(geek);
}

void Sleep(Geek &geek, Computer &comp)
{
	string s = "show w";

	cout << endl;

	while(s == "show w" || s == "show c" )
	{
		cout << "\nSLEEP" << endl;
		cout << "You can sleep, which will raise your energy level by 50," << endl;
		cout << "double that of an energy drink. However, you will risk an" << endl;
		cout << "attack on your computer." << endl;
		cout << "Do it? (Y/N) ->";
		getline(cin, s);
		gpl_check_and_strlwr(s);
		cout << endl;
	}
	
	if(s[0]=='y')
		CmdSleep(geek, comp);
}
