/*

The Life of a Geek
Copyright (C) 2003 Daniel Quintiliani

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

You can e-mail Daniel Quintiliani at coredump@coredumpcentral.org

func.cc: Misc functions

4/7/03: Daniel Quintiliani <coredump@coredumpcentral.org>: To be more
considerate replaced all bools with ints, added gpl_check_and_strlwr().

*/

#include <iostream>
#include <string>
#include <stdlib.h>
#include <time.h>
#include "func.h"
#include "gpl.h"

#ifdef HAVE_STRLWR
#include <string.h>
#else
#include "strlwr.h"
#endif

using namespace std;

string FuncGenGameName()
{
	srand((unsigned)time(NULL));
	int n = rand() % 9 + 1;

	switch(n)
	{
		case 1:
			return "Quake";
		case 2:
			return "Doom";
		case 3:
			return "Rogue";
		case 4:
			return "NetHack";
		case 5:
			return "GTA";
		case 6:
			return "StarCraft";
		case 7:
			return "WarCraft";
		case 8:
			return "Diablo";
		case 9:
			return "Descent";
	}

	return "Error";
}

string FuncGenEmu()
{
	srand((unsigned)time(NULL));
	int n = rand() % 16 + 1;

	switch(n)
	{
		case 1:
			return "Atari 2600";
		case 2:
			return "Nintendo";
		case 3:
			return "Game Boy";
		case 4:
			return "Super Nintendo";
		case 5:
			return "Sega Genesis";
		case 6:
			return "Sega Saturn";
		case 7:
			return "Nintendo 64";
		case 8:
			return "Sony PlayStation";
		case 9:
			return "XBox";
		case 10:
			return "Sony PlayStation 2";
		case 11:
			return "MAME";
		case 12:
			return "GameCube";
		case 13:
			return "Game Boy Advance";
		case 14:
			return "Game Boy Color";
		case 15:
			return "Commodore 64";
		case 16:
			return "Atari ST";
	}

	return "Error";

}


void FuncGenAttack(Computer &comp, float Percent)
{
	srand((unsigned)time(NULL));
	int n = rand() % 100 + 1;

	if(n <= Percent)
	{
		int n2 = rand() % 2 + 1;
		
		if(n2 == 1)
		{
			int n3 = rand() % comp.GetMaxHealth() / 2 + 1;
			comp.SetHealth(comp.GetHealth() - n3);
			cout << "\nCOMPUTER ATTACKED: Computer lost " << n3 << "points!" << endl;
		}
		else
		{
			comp.SetInfected(0);
			cout << "\nCOMPUTER ATTACKED: You have a virus!" << endl;
		}
	}
}

void FuncGenAttack(Computer &comp, int n)
{
	int n2 = rand() % 100;

	if( n2 <= n )
	{
		cout << "YOU WERE ATTACKED!" << endl;
		int n3 = rand() % 100;
		if( n3 < 50 )
		{
			int n4 = rand() % (comp.GetMaxHealth() / 2);
			comp.SetHealth(comp.GetHealth() - n4);
			cout << "Your computer lost " << n4 << " health points." << endl;
		}
		else
		{
			comp.SetInfected(0);
			cout << "You have a virus now." << endl;
		}
	}
}

char* gpl_check_and_strlwr(string& s)
{
	char* sz = (char*)s.c_str();
	strlwr(sz);
	s = sz;
	gpl_check(s);
	return sz;
}
