/*

The Life of a Geek
Copyright (C) 2003 Daniel Quintiliani

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

You can e-mail Daniel Quintiliani at coredump@coredumpcentral.org

sstrlwr.cc: changes all English language alphabetic characters in STL string
s to lowercase and returns s. It does this by going through each character
in the string from 0 to size() in the order of ETAONRISHDLFCMUGPYWBVKXJQZ. 

*/

#ifndef HAVE_STRLWR

#include "sstrlwr.h"

using namespace std;

string sstrlwr(string& s)
{
	for(unsigned n = 0; n < s.size(); n++ )
	{
		switch(s[n])
		{
			case 'E':
				s[n] = 'e';
				break;
			case 'T':
				s[n] = 't';
				break;
			case 'A':
				s[n] = 'a';
				break;
			case 'O':
				s[n] = 'o';
				break;
			case 'N':
				s[n] = 'n';
				break;
			case 'R':
				s[n] = 'r';
				break;
			case 'I':
				s[n] = 'i';
				break;
			case 'S':
				s[n] = 's';
				break;
			case 'H':
				s[n] = 'h';
				break;
			case 'D':
				s[n] = 'd';
				break;
			case 'L':
				s[n] = 'l';
				break;
			case 'F':
				s[n] = 'f';
				break;
			case 'C':
				s[n] = 'c';
				break;
			case 'M':
				s[n] = 'm';
				break;
			case 'U':
				s[n] = 'u';
				break;
			case 'G':
				s[n] = 'g';
				break;
			case 'P':
				s[n] = 'p';
				break;
			case 'Y':
				s[n] = 'y';
				break;
			case 'W':
				s[n] = 'w';
				break;
			case 'B':
				s[n] = 'b';
				break;
			case 'V':
				s[n] = 'v';
				break;
			case 'K':
				s[n] = 'k';
				break;
			case 'X':
				s[n] = 'x';
				break;
			case 'J':
				s[n] = 'j';
				break;
			case 'Q':
				s[n] = 'q';
				break;
			case 'Z':
				s[n] = 'z';
				break;
		}
	}	

	return s;
}

#endif
